package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 虚拟SCSI客户端适配器
 *
 * @author sxp
 * @since Jun 27, 2018
 */
public class VirtualSCSIClientAdapter {
    private Metadata metadata;
    private String adapterType;
    private String dynamicReconfigurationConnectorName;
    private String locationCode;
    private String localPartitionID;
    private String requiredAdapter;
    private String variedOn;
    private String virtualSlotNumber;
    private String remoteLogicalPartitionID;
    private String remoteSlotNumber;
    private String serverLocationCode;
    private ServerAdapter serverAdapter;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAdapterType() {
        return adapterType;
    }

    public void setAdapterType(String adapterType) {
        this.adapterType = adapterType;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getLocalPartitionID() {
        return localPartitionID;
    }

    public void setLocalPartitionID(String localPartitionID) {
        this.localPartitionID = localPartitionID;
    }

    public String getRequiredAdapter() {
        return requiredAdapter;
    }

    public void setRequiredAdapter(String requiredAdapter) {
        this.requiredAdapter = requiredAdapter;
    }

    public String getVariedOn() {
        return variedOn;
    }

    public void setVariedOn(String variedOn) {
        this.variedOn = variedOn;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getRemoteLogicalPartitionID() {
        return remoteLogicalPartitionID;
    }

    public void setRemoteLogicalPartitionID(String remoteLogicalPartitionID) {
        this.remoteLogicalPartitionID = remoteLogicalPartitionID;
    }

    public String getRemoteSlotNumber() {
        return remoteSlotNumber;
    }

    public void setRemoteSlotNumber(String remoteSlotNumber) {
        this.remoteSlotNumber = remoteSlotNumber;
    }

    public String getServerLocationCode() {
        return serverLocationCode;
    }

    public void setServerLocationCode(String serverLocationCode) {
        this.serverLocationCode = serverLocationCode;
    }

    public ServerAdapter getServerAdapter() {
        return serverAdapter;
    }

    public void setServerAdapter(ServerAdapter serverAdapter) {
        this.serverAdapter = serverAdapter;
    }
}
